### Callable

- resolve6(hostname: string, callback: function): void
- resolve6(hostname: string, options: ResolveWithTtlOptions, callback: function): void
- resolve6(hostname: string, options: ResolveOptions, callback: function): void

- - Defined in node_modules/@types/node/dns.d.ts:188

  #### Parameters

  - ##### hostname: string

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:189

  #### Parameters

  - ##### hostname: string

  - ##### options: ResolveWithTtlOptions

  - ##### callback: function

    - - (err: ErrnoException, addresses: RecordWithTtl[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: RecordWithTtl[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:190

  #### Parameters

  - ##### hostname: string

  - ##### options: ResolveOptions

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[] | RecordWithTtl[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[] | RecordWithTtl[]

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(hostname: string): Promise<string[]>
- __promisify__(hostname: string, options: ResolveWithTtlOptions): Promise<RecordWithTtl[]>
- __promisify__(hostname: string, options?: ResolveOptions): Promise<string[] | RecordWithTtl[]>

- - Defined in node_modules/@types/node/dns.d.ts:194

  #### Parameters

  - ##### hostname: string

  #### Returns Promise<string[]>

- - Defined in node_modules/@types/node/dns.d.ts:195

  #### Parameters

  - ##### hostname: string

  - ##### options: ResolveWithTtlOptions

  #### Returns Promise<RecordWithTtl[]>

- - Defined in node_modules/@types/node/dns.d.ts:196

  #### Parameters

  - ##### hostname: string

  - ##### Optional options: ResolveOptions

  #### Returns Promise<string[] | RecordWithTtl[]>

Generated using TypeDoc